%global momorel 3

%global pyver %(python -c 'import sys ; print sys.version[:3]')

Summary:  "Desktop Menu Specification" from freedesktop.org
Name: gnome-menus
Version: 2.26.2
Release: %{momorel}m%{?dist}
License: LGPL
Group: User Interface/Desktops

Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.26/%{name}-%{version}.tar.bz2
NoSource: 0
Source1: momonga-applications.menu
Source3: momonga-settings.menu

URL: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: pkgconfig
BuildPrereq: intltool
BuildPreReq: glib2-devel >= 2.20.0
BuildPrereq: python >= 2.6
BuildPrereq: desktop-file-utils >= 0.12

%description
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org.  Also contained here are the GNOME
menu layout configuration files, .directory files and assorted menu
related utility programs.

%package devel
Summary:        Libraries and include files for %{name}.
Group:          Development/Libraries
Requires:       %{name} = %{version}
Requires:       glib2-devel

%description devel
This package provides the necessary development libraries for
writing applications that use the GNOME menu system.

%prep
%setup -q

%build
%configure --enable-python
make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%find_lang %{name}

#  Application Menu
mkdir -p %{buildroot}%{_sysconfdir}/xdg/gnome/menus
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/xdg/gnome/menus/applications.menu
cp %{SOURCE3} %{buildroot}%{_sysconfdir}/xdg/gnome/menus/settings.menu
rm -rf %{buildroot}%{_sysconfdir}/xdg/menus

# GNOME Menu in xdg/gnome/menu
mkdir -p %{buildroot}%{_sysconfdir}/xdg/gnome/menus/applications-merged
mkdir -p %{buildroot}%{_sysconfdir}/xdg/gnome/menus/settings-merged
mkdir -p %{buildroot}%{_sysconfdir}/xdg/gnome/menus/preference-merged
chmod 755 %{buildroot}%{_sysconfdir}/xdg/gnome/menus/applications-merged
chmod 755 %{buildroot}%{_sysconfdir}/xdg/gnome/menus/settings-merged
chmod 755 %{buildroot}%{_sysconfdir}/xdg/gnome/menus/preference-merged

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog HACKING INSTALL NEWS README
%{_libdir}/*.so.*
%exclude %{_libdir}/*.la
%{_bindir}/gmenu-simple-editor
%{_libdir}/python%{pyver}/site-packages/GMenuSimpleEditor/*.py
%{_libdir}/python%{pyver}/site-packages/GMenuSimpleEditor/*.pyc
%{_libdir}/python%{pyver}/site-packages/GMenuSimpleEditor/*.pyo
%{_libdir}/python%{pyver}/site-packages/*.so
%{_libdir}/python%{pyver}/site-packages/*.la
%{_datadir}/applications/gmenu-simple-editor.desktop
%{_datadir}/desktop-directories/*.directory
%{_datadir}/%{name}

%{_datadir}/locale/*/*/*

%dir %{_sysconfdir}/xdg/gnome/menus/applications-merged
%dir %{_sysconfdir}/xdg/gnome/menus/settings-merged
%dir %{_sysconfdir}/xdg/gnome/menus/preference-merged

%dir %{_sysconfdir}/xdg/gnome
%config %{_sysconfdir}/xdg/gnome/menus/*.menu

%files devel
%defattr(-, root, root)
%{_includedir}/gnome-menus
%{_libdir}/pkgconfig/libgnome-menu.pc
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/python%{pyver}/site-packages/*.a

%changelog
* Sun Jul 26 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.26.2-3m)
- use make instead of %%make

* Sat Jul 25 2009 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.26.2-2m)
- modify menu file momonga-settings.menu

* Tue Jun 30 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2-1m)
- update to 2.26.2

* Sun May 17 2009 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.26.1-2m)
- add autoreconf

* Wed Apr 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.1-1m)
- update to 2.26.1

* Tue Mar 17 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Wed Feb 25 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.91-1m)
- update to 2.25.91
- update Source1, 3 (delete Source 2, 4, 5)

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.5-1m)
- update to 2.25.5

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.2-3m)
- rebuild against rpm-4.6

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.24.2-2m)
- rebuild against python-2.6.1-1m

* Tue Nov 25 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.2-1m)
- update to 2.24.2

* Wed Oct 22 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-1m)
- update to 2.24.1

* Mon Oct  6 2008  Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-2m)
- modify menu files applications.menu settings.menu

* Thu May 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-1m)
- update to 2.22.2

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Wed Mar 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0

* Tue Jan  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.3-1m)
- update to 2.20.3

* Thu Nov 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.2-1m)
- update to 2.20.2

* Fri Oct 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.1-1m)
- update to 2.20.1

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Tue Jul  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.3-1m)
- update to 2.18.3

* Mon May 28 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.2-1m)
- update to 2.18.2

* Wed Mar 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-4m)
- delete duplicated dir

* Tue Mar 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-3m)
- modify spec

* Sun Mar 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-2m)
- modify momonga-setting.menu

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Tue Feb 27 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.92-1m)
- update to 2.17.92

* Tue Feb 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-3m)
- good-bye %%makeinstall

* Mon Feb 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-2m)
- modify settings.menu(source3) for new control-center

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-1m)
- update to 2.17.91 (unstable)

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.16.1-2m)
- rebuild against python-2.5

* Fri Oct  6 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.1-1m)
- update 2.16.1

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-2m)
- remove category Application

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-1m)
- update to 2.16.0

* Mon Aug 28 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.3-3m)
- modify patch0 for alacarte

* Sun Aug 27 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.3-2m)
- add patch0 gmenu for python module

* Tue Aug 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.3-1m)
- update to 2.14.3

* Sun Jul  2 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.0-3m)
- Adjustment momonga-applications.menu and momonga-preferences.menu

* Fri Jun 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-2m)
- modify momonga-preferences.menu (Not KDE)

* Mon May  8 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.0-1m)
- update to 2.14.0

* Mon Apr 24 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.13.5-2m)
- add patch0

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.13.5-1m)
- update to 2.13.5

* Thu Apr  6 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.12.0-7m)
- revised packages owner

* Mon Mar  6 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.12.0-6m)
- update application menu

* Sun Dec  4 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.12.0-5m)
- update gmenu-simple-editor.desktop
- change applications menu
- add Source4,Source5 (menu-directory file)

* Sat Nov 26 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.12.0-4m)
- revise GNOME application menu setting files
- add Source1,2,3

* Thu Nov 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.12.0-3m)
- revise desktop file (for KDE)

* Sat Nov 19 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.0-2m)
- Delete under %{_sysconfdir} 
 
* Wed Nov 16 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.0-1m)
- start
- GNOME 2.12.1 Desktop
